/**
 * Main 部件模型
 *
 * @export
 * @class MainModel
 */
export default class MainModel {

	/**
	 * 获取数据项集合
	 *
	 * @returns {any[]}
	 * @memberof MainGridMode
	 */
	public getDataItems(): any[] {
		return [
			{
				name: 'systemid',
				prop: 'systemid',
				dataType: 'PICKUP',
			},
			{
				name: 'applicationname',
				prop: 'applicationname',
				dataType: 'TEXT',
			},
			{
				name: 'updateman',
				prop: 'updateman',
				dataType: 'TEXT',
			},
			{
				name: 'updatedate',
				prop: 'updatedate',
				dataType: 'DATETIME',
			},
			{
				name: 'srfmajortext',
				prop: 'applicationname',
				dataType: 'TEXT',
			},
			{
				name: 'srfdataaccaction',
				prop: 'applicationid',
				dataType: 'GUID',
			},
			{
				name: 'srfkey',
				prop: 'applicationid',
				dataType: 'GUID',
			},
			{
				name: 'application',
				prop: 'applicationid',
			},


      {
        name:'size',
        prop:'size'
      },
      {
        name:'query',
        prop:'query'
      },
      {
        name:'page',
        prop:'page'
      },
      {
        name:'sort',
        prop:'sort'
      },
      {
        name:'srfparentdata',
        prop:'srfparentdata'
      }
		]
	}

}